# ESLint Config

Affinidi's ESLint Configuration For React Projects

## Installation

```
npm install --save-dev @affinidi/eslint-config-react
```

## Usage

```js
// .eslintrc.js

module.exports = {
  extends: ['@affinidi/eslint-config-react'],
  parserOptions: {
    project: './tsconfig.eslint.json',
  },
}
```

It is reccommended that you have a separate `tsconfig.eslint.json` file that extends from your existing `tsconfig.json` file. This file will _add_ `.eslintrc.js` to the `"includes"` property.

```json
{
  "extends": "./tsconfig.json",
  "include": ["...", ".eslintrc.js"]
}
```

### VS Code + Monorepos

VS Code's ESLint extension requires an additional setting to properly detect ESLint versions/installs/root paths. In a typical mono repo you can do the following:

```json
"eslint.workingDirectories": [
  {
    "pattern": "./packages/*"
  }
]
```

For more details check out the [extention's docs](https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint#settings-options).
